Bug 113642 - Replace ColumnMnemonicCharTTV with '&' method
Replace ColumnMnemonicCharTTV with '&' method
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on: 120553
Blocks: 109750
  Show dependency treegraph
 
Reported: 2007-08-23 17:23 UTC by Martin Entlicher
Modified: 2008-12-22 14:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2007-08-23 17:23:53 UTC
ColumnMnemonicCharTTV property is used in NodeTableModel to define mnemonics to individual columns.
Since now we should change mnemonics handling from 2 key/value to '&' method (see #86438), we need a way how to do that
for table columns.
Comment 1 Stanislav Aubrecht 2007-08-27 15:26:00 UTC
imho, the treetableview is a different issue - the column name has no mnemonic and the mnemonic appears in 'change
visible columns' dialog box only. so there would have to be two names, one without mnemonic for table header and one
with mnemonic for the checkbox anyway

pls reopen if you think otherwise
Comment 2 Martin Entlicher 2007-09-26 13:33:27 UTC
I do not see a reason why there would have to be two keys. See
http://bits.netbeans.org/dev/javadoc/org-openide-awt/org/openide/awt/Actions.html#cutAmpersand(java.lang.String)
I'm not able to fix issue #109750 until this is changed. And the change is required by issue #86438.
Comment 3 Stanislav Aubrecht 2007-11-02 16:45:29 UTC
fixed, see #120553


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo